#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is mozilla.org code.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 2001
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

DEPTH		= ../../..
topsrcdir	= @top_srcdir@
srcdir		= @srcdir@
VPATH		= @srcdir@

include $(DEPTH)/config/autoconf.mk

MODULE		= widget
LIBRARY_NAME	= widget_windows
LIBXUL_LIBRARY = 1

REQUIRES	= xpcom \
			string \
			dom \
			accessibility \
			content \
			content_xul \
			gfx \
			gfxwin \
			necko \
			pref \
			plugin \
			timer \
			uconv \
			intl \
			locale \
			webshell \
			docshell \
			layout \
			xuldoc \
			view \
			imglib2 \
			uriloader \
			webbrowserpersist \
			unicharutil \
			$(NULL)

ifdef MOZ_ENABLE_CAIRO_GFX
REQUIRES += thebes cairo
endif

CPPSRCS		= \
	L_Ienumfe.cpp  \
	nsWindow.cpp         \
	nsAppShell.cpp       \
	nsLookAndFeel.cpp    \
	nsToolkit.cpp        \
	nsKeyboardLayout.cpp \
	nsDataObj.cpp  \
	nsDataObjCollection.cpp  \
	nsClipboard.cpp      \
	nsNativeThemeWin.cpp \
	nsFilePicker.cpp     \
	nsScreenWin.cpp	\
	nsScreenManagerWin.cpp \
	nsPrintOptionsWin.cpp \
	nsPrintSettingsWin.cpp \
	nsDeviceContextSpecWin.cpp \
	$(NULL)

ifneq ($(OS_ARCH), WINCE)
CPPSRCS += \
	nsNativeDragTarget.cpp  \
	nsNativeDragSource.cpp  \
	nsDragService.cpp  \
	nsImageClipboard.cpp \
	nsBidiKeyboard.cpp   \
	nsSound.cpp          \
	nsIdleServiceWin.cpp    \
	$(NULL)
endif


DEFINES		+= -D_IMPL_NS_WIDGET -DMOZ_UNICODE 

ifdef BUILD_STATIC_LIBS
DEFINES		+= -DMOZ_STATIC_COMPONENT_LIBS
endif # BUILD_STATIC_LIBS


EXPORTS		= nsdefs.h

LOCAL_INCLUDES	= \
		-I. \
		-I$(srcdir)/../xpwidgets \
		-I$(srcdir) \
		$(NULL)

FORCE_STATIC_LIB = 1

GARBAGE		+= L_Ienumfe.cpp $(srcdir)/L_Ienumfe.cpp

SRCS_IN_OBJDIR	= 1

ifndef WINCE
ENABLE_CXX_EXCEPTIONS = 1
endif

include $(topsrcdir)/config/rules.mk

# Silly case-insensitive fs
export:: IENUMFE.CPP
	cp -a $< L_Ienumfe.cpp


